=== debian/changelog ===
ros-ardent-rosidl-generator-cpp (0.4.1-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 Feb 2018 00:17:02 -0000
